Bug 517671 - [RFE] add usershare configuration
Summary: [RFE] add usershare configuration
Keywords:
Status: CLOSED DUPLICATE of bug 427413
Alias: None
Product: Fedora
Classification: Fedora
Component: system-config-samba
Version: rawhide
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Nils Philippsen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-08-15 20:52 UTC by Muayyad Alsadi
Modified: 2014-03-19 14:51 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-03-19 14:51:42 UTC


Attachments (Terms of Use)
-p1 patch to add configuration tab for user shares (13.66 KB, patch)
2009-08-15 20:52 UTC, Muayyad Alsadi
no flags Details | Diff

Description Muayyad Alsadi 2009-08-15 20:52:07 UTC
Created attachment 357548 [details]
-p1 patch to add configuration tab for user shares

Description of problem:
this patch adds support for user share in basic settings window

Version-Release number of selected component (if applicable):
system-config-samba-1.2.76-1

Additional info:
after making the patch I realized the following issues:
1. the two os.mkdir should be moved to src/scsamba/core/samabBackend.py
2. something make the section.getKey('usershare path') returns /var/lib/samba/usershare even if the config file does not contain it which make the code confuses to think it's enabled while it's not.

Comment 1 Bug Zapper 2010-04-28 09:47:08 UTC
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 2 Nils Philippsen 2010-04-29 16:56:26 UTC
Gaa, kind of dropped that issue under the table... I've put the FutureFeature keyword on it so it won't happen again.

Muayyad, would you please describe to me how you use usershares, i.e. what your patch is intended to accomplish (since it needs to be changed anyway so that backend ops go into the proper modules etc.)? Thanks.

Comment 3 Muayyad Alsadi 2010-04-29 21:41:31 UTC
to enable usershare edit /etc/samba/smb.conf
to add something like this
	usershare path = /var/lib/samba/usershare
	usershare max shares = 100
	usershare allow guests = yes
	usershare owner only = no

under [global] section

this will allow regular users to add shares through things like nautilus-share
(ie. right click a folder then share)
please see this:
https://bugzilla.redhat.com/show_bug.cgi?id=477329

patch in nautilus-share will give life back to the nonfunctional nautulis-share (which is functional)

but my patch to s-c-samba is just a **sample** to help people do the configuration nautilus-share needs

I say sample because it's just glade ui, it needs to be connected to some code the output the above conf snippet

Comment 4 Nils Philippsen 2010-05-04 14:23:08 UTC
Thanks for clarifying this.

(In reply to comment #3)
> I say sample because it's just glade ui, it needs to be connected to some code
> the output the above conf snippet    

Ahh. I'll just take this as a Request for Enhancement then, should be doable (once I get around to put new features in ;-).

Comment 5 Muayyad Alsadi 2010-05-05 18:44:50 UTC
another option is to add the snippet  above to /etc/samba/smb.conf in samba-common

Comment 6 Jaromír Končický 2014-03-19 14:51:42 UTC

*** This bug has been marked as a duplicate of bug 427413 ***


Note You need to log in before you can comment on or make changes to this bug.